Subject: [Dots] Fw: New Version Notification for draft-ietf-dots-use-cases-21.txt

From: Daniel Migault <[email-masked]>
Date: Fri, 15 May 2020 20:05:29 +0000

Please find the version 21 that considers all feed backs - or at least my understanding of them - that we received until now.

Thanks for the feed backs!

Yours,
Daniel

________________________________________
From: [email-masked] <[email-masked]>
Sent: Friday, May 15, 2020 4:03 PM
To: Daniel Migault; Robert Moskowitz; Roland Dobbins; Nik Teague; Liang Xia; Kaname Nishizuka; Liang Xia; [email-masked]
Subject: New Version Notification for draft-ietf-dots-use-cases-21.txt

A new version of I-D, draft-ietf-dots-use-cases-21.txt
has been successfully submitted by Daniel Migault and posted to the
IETF repository.

Name:           draft-ietf-dots-use-cases
Revision:       21
Title:          Use cases for DDoS Open Threat Signaling
Document date:  2020-05-15
Group:          dots
Pages:          15
URL:            https://www.ietf.org/internet-drafts/draft-ietf-dots-use-cases-21.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-dots-use-cases/
Htmlized:       https://tools.ietf.org/html/draft-ietf-dots-use-cases-21
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-dots-use-cases
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-dots-use-cases-21

Abstract:
   The DDoS Open Threat Signaling (DOTS) effort is intended to provide
   protocols to facilitate interoperability across disparate DDoS
   mitigation solutions.  This document presents sample use cases which
   describe the interactions expected between the DOTS components as
   well as DOTS messaging exchanges.  These use cases are meant to
   identify the interacting DOTS components, how they collaborate, and
   what are the typical information to be exchanged.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 28 May 2020 13:54:55 -0700

> Please find the version 21 that considers all feed backs - or at least my understanding of them - that we received until now.

Thanks for the updates; I'll go ahead and kick off the IETF LC.

It does look like one of my editorial comments was not understood as I
intended, but we can treat that as we would a LC comment:

Section 1

   As DDoS solutions are broadly heterogeneous among vendors, the
   primary goal of DOTS is to provide high-level interaction amongst
   differing DDoS solutions, such as detecting, initiating, terminating
   DDoS mitigation assistance or requesting the status of a DDoS
   mitigation.

nit: the list structure is not properly parallel.  It looks like the
various clauses are meant to be "detecting DDoS",
"initiating/terminating mitigation assistance", and "requesting
mitigation status", so maybe this could become:

% As DDoS solutions are broadly heterogeneous among vendors, the
% primary goal of DOTS is to provide high-level interaction amongst
% differing DDoS solutions, such as detecting DDoS attacks,
% initiating/terminating DDoS mitigation assistance, or requesting the
% status of a DDoS mitigation.

The -21 adds the '/' in "initiating/terminating DDoS mitigation assistance"
but there were a few other changes in my proposal that are needed to make
the list structure parallel.  E.g., the full phrase "detecting DDoS
attacks" and the serial comma.

Thanks,

Ben

---

From: <[email-masked]>
Date: Fri, 29 May 2020 12:42:51 +0000

Hi Daniel, all,

Apologies for the late comment, but can you please make the following change in the next iteration of the draft: 

OLD: 
   This document provides sample use cases that provided input for the
   design of the DOTS protocols.

NEW:
   This document provides sample use cases that provided input for the
   design of the DOTS protocols [RFC8772][RFC8773].

Thank you. 

Cheers,
Med

> -----Message d'origine-----
> De : Dots [mailto:[email-masked]] De la part de Benjamin Kaduk
> Envoyé : jeudi 28 mai 2020 22:55
> À : Daniel Migault
> Cc : [email-masked]
> Objet : Re: [Dots] Fw: New Version Notification for draft-ietf-dots-
> use-cases-21.txt
> 
> > Please find the version 21 that considers all feed backs - or at
> least my understanding of them - that we received until now.
> 
> _______________________________________________
> Dots mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dots

---

From: <[email-masked]>
Date: Fri, 29 May 2020 13:33:51 +0000

Re-, 

Apologies, I meant [RFC8782][RFC8783] that should normally be available by the end of the IETF LC for this draft. 

Thank you.  

Cheers,
Med

> De : Dots [mailto:[email-masked]] De la part de
> [email-masked]
> Envoyé : vendredi 29 mai 2020 14:43
> À : Daniel Migault ([email-masked])
> Cc : [email-masked]; Benjamin Kaduk
> Apologies for the late comment, but can you please make the following
> change in the next iteration of the draft:
> 
> OLD:

---

From: Daniel Migault <[email-masked]>
Date: Fri, 29 May 2020 10:18:20 -0400

Hi Ben,

Thanks for the follow up. I think all changes have been considered in the
new version.

Yours,
Daniel

On Thu, May 28, 2020 at 4:55 PM Benjamin Kaduk <[email-masked]> wrote:

> > Please find the version 21 that considers all feed backs - or at least
> my understanding of them - that we received until now.
>

-- 
Daniel Migault
Ericsson

---

From: Daniel Migault <[email-masked]>
Date: Fri, 29 May 2020 10:21:11 -0400

Hi Med,

Thanks. I also got distracted to check the right number... but this is now
done.

Yours,
Daniel

-- 
Daniel Migault
Ericsson